<?php
// $Id $

/**
 * @file
 * File which contains theme overrides for the webchick theme.
 */

/*
 * ABOUT
 *
 *  webchick's website in Drupal form.
 */
 
/*
 * Declare the available regions implemented by this engine.
 *
 * @return
 *    An array of regions.  The first array element will be used as the default region for themes.
 *    Each array element takes the format: variable_name => t('human readable name')
 */
function webchick_regions() {
  return array(
    'content_top' => t('content top'),
    'content_bottom' => t('content bottom'),
  );
} 

/**
  * Return a menu that outputs the correct HTML for webchick.net .
  *
  * @param $links
  *   An array containing the links.
  * @param $delimiter
  *   The text delimiter to use when outputing the links.
  * @return a string containing the menu output.
  */
function webchick_menu_links($links, $delimiter = '') {
  if (!count($links)) {
    return '';
  }
  $level_tmp = explode('-', key($links));
  $level = $level_tmp[0];
  $output = '';//"<ul class=\"links-$level\">\n";
  $num = count($links);
  foreach ($links as $index => $link) {
    $output .= '';//'<li';
    if (stristr($index, 'active') && $delimiter == '') { 
      $output .= "<span class=\"activelink\">{$link['title']}</span>";
    }
    else {
      if ($num == 1 && $delimiter == '') {
        $link['attributes'] = array('class' => 'last');
      }
      $output .= l($link['title'], $link['href'], $link['attributes'], $link['query'], $link['fragment']);
    }
    if ($num > 1) {
      $output .= $delimiter;
    }
    $num--;
  }
  return $output;
}
